> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Tasks



## OpenAPI

````yaml /openapi/gemini.json post /gemini/tasks
openapi: 3.0.0
info:
  title: Gemini AI
  version: 1.0.0
  description: API reference for Gemini AI on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /gemini/tasks:
    post:
      summary: Gemini Tasks
      operationId: queryGeminiTasks
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Gemini Tasks Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Gemini Tasks Id
                ids:
                  type: array
                  items:
                    type: string
                  description: Gemini Tasks Ids
                action:
                  enum:
                    - retrieve
                    - retrieve_batch
                  type: string
                  default: retrieve
                  description: Gemini Tasks Action
              example:
                action: retrieve
                id: task-id
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/GeminiTaskRecord'
                  - type: object
                    required:
                      - items
                      - count
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/GeminiTaskRecord'
                        description: >-
                          Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Items.07E8737691Cc
                      count:
                        type: integer
                        minimum: 0
                        description: >-
                          Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Count.F191F0Dda24A
                  - type: object
                    additionalProperties: false
                    description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.2.7Edcc4799Fd3
              example:
                items: []
                count: 0
          description: Gemini Tasks Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Gemini Tasks Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Gemini Tasks Response 400 Error Message
                      trace_id:
                        type: string
                        description: Gemini Tasks Response 400 Trace Id
          description: Gemini Tasks Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Gemini Tasks Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Gemini Tasks Response 401 Error Message
                      trace_id:
                        type: string
                        description: Gemini Tasks Response 401 Trace Id
          description: Gemini Tasks Response 401
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Gemini Tasks Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Gemini Tasks Response 500 Error Message
                      trace_id:
                        type: string
                        description: Gemini Tasks Response 500 Trace Id
          description: Gemini Tasks Response 500
      security:
        - bearerAuth: []
components:
  schemas:
    GeminiTaskRecord:
      type: object
      required:
        - id
        - type
        - created_at
        - trace_id
        - request
      properties:
        id:
          type: string
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Id.8C135Ef760Af
        type:
          type: string
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Type.B198791A39Ec
        trace_id:
          type: string
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Trace Id.5845C92B8695
        request:
          $ref: '#/components/schemas/GeminiTaskRequestPayload'
        response:
          $ref: '#/components/schemas/GeminiTaskResultPayload'
        created_at:
          type: number
          format: double
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Created At.0F20089Aa772
        started_at:
          type: number
          format: double
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Started At.570F25Cb4875
        finished_at:
          type: number
          format: double
          nullable: true
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Finished At.Faf0F3Fc1E03
        elapsed:
          type: number
          format: double
          minimum: 0
          nullable: true
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Elapsed.4A45C9D818B2
        user_id:
          type: string
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.User Id.673F8F08B955
        actor_user_id:
          type: string
          nullable: true
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Actor User Id.27De1E075502
        api_id:
          type: string
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Api Id.62E563De2A8F
        application_id:
          type: string
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Application Id.40F1A9Aa0B04
        credential_id:
          type: string
          nullable: true
          description: Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Credential Id.530422302F67
        authorization_id:
          type: string
          nullable: true
          description: >-
            Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Authorization
            Id.Ed49279Eb0D1
    GeminiTaskRequestPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Geminitaskrequestpayload.758312281977
    GeminiTaskResultPayload:
      type: object
      additionalProperties: true
      description: >-
        Openapi.E6Bd925D0C4947Bea5C5D087604A8E75.Geminitaskresultpayload.30Ba8De514Ce
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````